unit h_dlg;

interface
uses classes,delphin,dialogs,graphics{,asystem};
implementation

{------------------------------}
function myshowmessage(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 ShowMessage(S[0]);
end;
{--------------------}
function myTCOMMONDIALOGCREATE(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 Result:=ObjToVar(TCOMMONDIALOG(slf).CREATE(TComponent(VarToObj(S[0]))));
End;
{--------------------}
Function TCOMMONDIALOGget_CTL3D(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TCOMMONDIALOG(slf).CTL3D;
End;

Function TCOMMONDIALOGset_CTL3D(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TCOMMONDIALOG(slf).CTL3D:=S[0];
End;
{--------------------}
Function TCOMMONDIALOGget_HELPCONTEXT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TCOMMONDIALOG(slf).HELPCONTEXT;
End;

Function TCOMMONDIALOGset_HELPCONTEXT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TCOMMONDIALOG(slf).HELPCONTEXT:=S[0];
End;
{--------------------}
function myTOPENDIALOGCREATE(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 Result:=ObjToVar(TOPENDIALOG(slf).CREATE(TComponent(VarToObj(S[0]))));
End;
{--------------------}
function myTOPENDIALOGEXECUTE(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 Result := TOPENDIALOG(slf).EXECUTE;
End;
{--------------------}
Function TOPENDIALOGget_FILES(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := OV(TOPENDIALOG(slf).FILES);
End;
{--------------------}
Function TOPENDIALOGget_DEFAULTEXT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TOPENDIALOG(slf).DEFAULTEXT;
End;

Function TOPENDIALOGset_DEFAULTEXT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TOPENDIALOG(slf).DEFAULTEXT:=S[0];
End;
{--------------------}
Function TOPENDIALOGget_FILEEDITSTYLE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TOPENDIALOG(slf).FILEEDITSTYLE;
End;

Function TOPENDIALOGset_FILEEDITSTYLE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TOPENDIALOG(slf).FILEEDITSTYLE:=S[0];
End;
{--------------------}
Function TOPENDIALOGget_FILENAME(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TOPENDIALOG(slf).FILENAME;
End;

Function TOPENDIALOGset_FILENAME(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TOPENDIALOG(slf).FILENAME:=S[0];
End;
{--------------------}
Function TOPENDIALOGget_FILTER(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TOPENDIALOG(slf).FILTER;
End;

Function TOPENDIALOGset_FILTER(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TOPENDIALOG(slf).FILTER:=S[0];
End;
{--------------------}
Function TOPENDIALOGget_FILTERINDEX(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TOPENDIALOG(slf).FILTERINDEX;
End;

Function TOPENDIALOGset_FILTERINDEX(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TOPENDIALOG(slf).FILTERINDEX:=S[0];
End;
{--------------------}
Function TOPENDIALOGget_HISTORYLIST(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := OV(TOPENDIALOG(slf).HISTORYLIST);
End;

Function TOPENDIALOGset_HISTORYLIST(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TOPENDIALOG(slf).HISTORYLIST:=TStrings(VO(S[0]));
End;
{--------------------}
Function TOPENDIALOGget_INITIALDIR(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TOPENDIALOG(slf).INITIALDIR;
End;

Function TOPENDIALOGset_INITIALDIR(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TOPENDIALOG(slf).INITIALDIR:=S[0];
End;
{--------------------}
{Function TOPENDIALOGget_OPTIONS(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TOPENDIALOG(slf).OPTIONS;
End;

Function TOPENDIALOGset_OPTIONS(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TOPENDIALOG(slf).OPTIONS:=S[0];
End;}
{--------------------}
Function TOPENDIALOGget_TITLE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TOPENDIALOG(slf).TITLE;
End;

Function TOPENDIALOGset_TITLE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TOPENDIALOG(slf).TITLE:=S[0];
End;
{--------------------}
function myTSAVEDIALOGEXECUTE(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 Result := TSAVEDIALOG(slf).EXECUTE;
End;
{--------------------}
function myTCOLORDIALOGCREATE(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 Result:=OV(TCOLORDIALOG(slf).CREATE(TComponent(VO(S[0]))));
End;
{--------------------}
function myTCOLORDIALOGEXECUTE(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 Result := TCOLORDIALOG(slf).EXECUTE;
End;
{--------------------}
Function TCOLORDIALOGget_COLOR(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TCOLORDIALOG(slf).COLOR;
End;

Function TCOLORDIALOGset_COLOR(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TCOLORDIALOG(slf).COLOR:=S[0];
End;
{--------------------}
Function TCOLORDIALOGget_CTL3D(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TCOLORDIALOG(slf).CTL3D;
End;

Function TCOLORDIALOGset_CTL3D(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TCOLORDIALOG(slf).CTL3D:=S[0];
End;
{--------------------}
Function TCOLORDIALOGget_CUSTOMCOLORS(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := OV(TCOLORDIALOG(slf).CUSTOMCOLORS);
End;

Function TCOLORDIALOGset_CUSTOMCOLORS(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TCOLORDIALOG(slf).CUSTOMCOLORS:=TStrings(VO(S[0]));
End;
{--------------------}
{Function TCOLORDIALOGget_OPTIONS(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TCOLORDIALOG(slf).OPTIONS;
End;

Function TCOLORDIALOGset_OPTIONS(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TCOLORDIALOG(slf).OPTIONS:=S[0];
End;}
{--------------------}
function myTFONTDIALOGCREATE(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 Result:=OV(TFONTDIALOG(slf).CREATE(TComponent(VO(S[0]))));
End;
{--------------------}
function myTFONTDIALOGEXECUTE(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 Result := TFONTDIALOG(slf).EXECUTE;
End;
{--------------------}
Function TFONTDIALOGget_FONT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := OV(TFONTDIALOG(slf).FONT);
End;

Function TFONTDIALOGset_FONT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TFONTDIALOG(slf).FONT:=TFont(VO(S[0]));
End;
{--------------------}
Function TFONTDIALOGget_DEVICE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TFONTDIALOG(slf).DEVICE;
End;

Function TFONTDIALOGset_DEVICE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TFONTDIALOG(slf).DEVICE:=S[0];
End;
{--------------------}
Function TFONTDIALOGget_MINFONTSIZE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TFONTDIALOG(slf).MINFONTSIZE;
End;

Function TFONTDIALOGset_MINFONTSIZE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TFONTDIALOG(slf).MINFONTSIZE:=S[0];
End;
{--------------------}
Function TFONTDIALOGget_MAXFONTSIZE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TFONTDIALOG(slf).MAXFONTSIZE;
End;

Function TFONTDIALOGset_MAXFONTSIZE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TFONTDIALOG(slf).MAXFONTSIZE:=S[0];
End;
{--------------------}
{Function TFONTDIALOGget_OPTIONS(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TFONTDIALOG(slf).OPTIONS;
End;

Function TFONTDIALOGset_OPTIONS(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TFONTDIALOG(slf).OPTIONS:=S[0];
End;}
{--------------------}
function myTPRINTERSETUPDIALOGEXECUTE(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 TPRINTERSETUPDIALOG(slf).EXECUTE;
End;
{--------------------}
function myTPRINTDIALOGEXECUTE(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 Result := TPRINTDIALOG(slf).EXECUTE;
End;
{--------------------}
Function TPRINTDIALOGget_COLLATE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPRINTDIALOG(slf).COLLATE;
End;

Function TPRINTDIALOGset_COLLATE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPRINTDIALOG(slf).COLLATE:=S[0];
End;
{--------------------}
Function TPRINTDIALOGget_COPIES(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPRINTDIALOG(slf).COPIES;
End;

Function TPRINTDIALOGset_COPIES(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPRINTDIALOG(slf).COPIES:=S[0];
End;
{--------------------}
Function TPRINTDIALOGget_FROMPAGE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPRINTDIALOG(slf).FROMPAGE;
End;

Function TPRINTDIALOGset_FROMPAGE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPRINTDIALOG(slf).FROMPAGE:=S[0];
End;
{--------------------}
Function TPRINTDIALOGget_MINPAGE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPRINTDIALOG(slf).MINPAGE;
End;

Function TPRINTDIALOGset_MINPAGE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPRINTDIALOG(slf).MINPAGE:=S[0];
End;
{--------------------}
Function TPRINTDIALOGget_MAXPAGE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPRINTDIALOG(slf).MAXPAGE;
End;

Function TPRINTDIALOGset_MAXPAGE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPRINTDIALOG(slf).MAXPAGE:=S[0];
End;
{--------------------}
{Function TPRINTDIALOGget_OPTIONS(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPRINTDIALOG(slf).OPTIONS;
End;

Function TPRINTDIALOGset_OPTIONS(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPRINTDIALOG(slf).OPTIONS:=S[0];
End;}
{--------------------}
Function TPRINTDIALOGget_PRINTTOFILE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPRINTDIALOG(slf).PRINTTOFILE;
End;

Function TPRINTDIALOGset_PRINTTOFILE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPRINTDIALOG(slf).PRINTTOFILE:=S[0];
End;
{--------------------}
Function TPRINTDIALOGget_PRINTRANGE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPRINTDIALOG(slf).PRINTRANGE;
End;

Function TPRINTDIALOGset_PRINTRANGE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPRINTDIALOG(slf).PRINTRANGE:=S[0];
End;
{--------------------}
Function TPRINTDIALOGget_TOPAGE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TPRINTDIALOG(slf).TOPAGE;
End;

Function TPRINTDIALOGset_TOPAGE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TPRINTDIALOG(slf).TOPAGE:=S[0];
End;
{--------------------}
function myTFINDDIALOGCREATE(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 Result:=OV(TFINDDIALOG(slf).CREATE(TComponent(VO(S[0]))));
End;
{--------------------}
function myTFINDDIALOGCLOSEDIALOG(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 TFINDDIALOG(slf).CLOSEDIALOG;
End;
{--------------------}
function myTFINDDIALOGEXECUTE(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 Result := TFINDDIALOG(slf).EXECUTE;
End;
{--------------------}
Function TFINDDIALOGget_HANDLE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TFINDDIALOG(slf).HANDLE;
End;
{--------------------}
Function TFINDDIALOGget_LEFT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TFINDDIALOG(slf).LEFT;
End;

Function TFINDDIALOGset_LEFT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TFINDDIALOG(slf).LEFT:=S[0];
End;
{--------------------}
{Function TFINDDIALOGget_POSITION(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TFINDDIALOG(slf).POSITION;
End;

Function TFINDDIALOGset_POSITION(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TFINDDIALOG(slf).POSITION:=S[0];
End;}
{--------------------}
Function TFINDDIALOGget_TOP(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TFINDDIALOG(slf).TOP;
End;

Function TFINDDIALOGset_TOP(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TFINDDIALOG(slf).TOP:=S[0];
End;
{--------------------}
Function TFINDDIALOGget_FINDTEXT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TFINDDIALOG(slf).FINDTEXT;
End;

Function TFINDDIALOGset_FINDTEXT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TFINDDIALOG(slf).FINDTEXT:=S[0];
End;
{--------------------}
{Function TFINDDIALOGget_OPTIONS(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TFINDDIALOG(slf).OPTIONS;
End;

Function TFINDDIALOGset_OPTIONS(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TFINDDIALOG(slf).OPTIONS:=S[0];
End;}
{--------------------}
function myTREPLACEDIALOGCREATE(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 Result:=OV(TREPLACEDIALOG(slf).CREATE(TComponent(VO(S[0]))));
End;
{--------------------}
Function TREPLACEDIALOGget_REPLACETEXT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TREPLACEDIALOG(slf).REPLACETEXT;
End;

Function TREPLACEDIALOGset_REPLACETEXT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TREPLACEDIALOG(slf).REPLACETEXT:=S[0];
End;
{--------------------}
{function CreateMessageDialog(const Msg: string; DlgType: TMsgDlgType;
  Buttons: TMsgDlgButtons): TForm;}
{TMsgDlgBtn = (mbYes, mbNo, mbOK, mbCancel, mbAbort, mbRetry, mbIgnore, mbAll, mbHelp);
TMsgDlgButtons = set of TMsgDlgBtn;}

function myCREATEMESSAGEDIALOG(slf:TObject;var APropName:String;var s:array of variant):variant;
var T:Array[0..50] of tvarrec;
    i,maxt:Integer;
    Buttons:TMsgDlgButtons;
begin
 VarToConsts(S[2],T,maxt);
 Buttons:=[];
 For i:=0 to maxt-1 do Buttons:=Buttons+[TMsgDlgBtn(t[i].VInteger)];
 Result := OV(CREATEMESSAGEDIALOG(S[0],S[1],Buttons));
 DisposeConsts(T,maxt);
End;
{--------------------}
{function MessageDlg(const Msg: string; AType: TMsgDlgType;
         AButtons: TMsgDlgButtons;   HelpCtx: Longint): Word;}

function myMESSAGEDLG(slf:TObject;var APropName:String;var s:array of variant):variant;
var T:Array[0..50] of tvarrec;
    i,maxt:Integer;
    Buttons:TMsgDlgButtons;
begin
 VarToConsts(S[2],T,maxt);
 Buttons:=[];
 For i:=0 to maxt-1 do Buttons:=Buttons+[TMsgDlgBtn(t[i].VInteger)];
 Result := MESSAGEDLG(S[0],S[1],Buttons,S[3]);
 DisposeConsts(T,maxt);
End;
{--------------------}
function myMESSAGEDLGPOS(slf:TObject;var APropName:String;var s:array of variant):variant;
var T:Array[0..50] of tvarrec;
    i,maxt:Integer;
    Buttons:TMsgDlgButtons;
begin
 VarToConsts(S[2],T,maxt);
 Buttons:=[];
 For i:=0 to maxt-1 do Buttons:=Buttons+[TMsgDlgBtn(t[i].VInteger)];
 Result := MESSAGEDLGPOS(S[0],S[1],Buttons,S[3],S[4],s[5]);
 DisposeConsts(T,maxt);
End;
{--------------------}
function mySHOWMESSAGEPOS(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 SHOWMESSAGEPOS(S[0],S[1],S[2]);
End;
{--------------------}
function myINPUTBOX(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 Result := INPUTBOX(S[0],S[1],S[2]);
End;
{--------------------}
{function InputQuery(const ACaption, APrompt: string; var Value: string
): Boolean;}
function myINPUTQUERY(slf:TObject;var APropName:String;var s:array of variant):variant;
Var SA:String;
begin
 SA:=s[2];
 Result := INPUTQUERY(S[0],S[1],SA);
 s[2]:=SA;
End;

{------------------------------}
procedure initdialogs;
begin
{   AddObjectType('TCOMMONDIALOG','TCOMPONENT');
   AddObjectType('TOPENDIALOG','TCOMMONDIALOG');
   AddObjectType('TSAVEDIALOG','TOPENDIALOG');
   AddObjectType('TCOLORDIALOG','TCOMMONDIALOG');
   AddObjectType('TFONTDIALOG','TCOMMONDIALOG');
   AddObjectType('TPRINTERSETUPDIALOG','TCOMMONDIALOG');
   AddObjectType('TPRINTDIALOG','TCOMMONDIALOG');
   AddObjectType('TFINDDIALOG','TCOMMONDIALOG');
   AddObjectType('TREPLACEDIALOG','TFINDDIALOG');}

   AddFun('TCOMMONDIALOG.CREATE',myTCOMMONDIALOGCREATE,[0]);
   AddProp('TCOMMONDIALOG.CTL3D',TCOMMONDIALOGget_CTL3D,TCOMMONDIALOGset_CTL3D);
   AddProp('TCOMMONDIALOG.HELPCONTEXT',TCOMMONDIALOGget_HELPCONTEXT,TCOMMONDIALOGset_HELPCONTEXT);
   AddFun('TOPENDIALOG.CREATE',myTOPENDIALOGCREATE,[0]);
   AddFun('TOPENDIALOG.EXECUTE',myTOPENDIALOGEXECUTE,[2]);
   AddProp('TOPENDIALOG.FILES',TOPENDIALOGget_FILES,nil);
   AddProp('TOPENDIALOG.DEFAULTEXT',TOPENDIALOGget_DEFAULTEXT,TOPENDIALOGset_DEFAULTEXT);
   AddProp('TOPENDIALOG.FILEEDITSTYLE',TOPENDIALOGget_FILEEDITSTYLE,TOPENDIALOGset_FILEEDITSTYLE);
   AddProp('TOPENDIALOG.FILENAME',TOPENDIALOGget_FILENAME,TOPENDIALOGset_FILENAME);
   AddProp('TOPENDIALOG.FILTER',TOPENDIALOGget_FILTER,TOPENDIALOGset_FILTER);
   AddProp('TOPENDIALOG.FILTERINDEX',TOPENDIALOGget_FILTERINDEX,TOPENDIALOGset_FILTERINDEX);
   AddProp('TOPENDIALOG.HISTORYLIST',TOPENDIALOGget_HISTORYLIST,TOPENDIALOGset_HISTORYLIST);
   AddProp('TOPENDIALOG.INITIALDIR',TOPENDIALOGget_INITIALDIR,TOPENDIALOGset_INITIALDIR);
//   AddProp('TOPENDIALOG.OPTIONS',TOPENDIALOGget_OPTIONS,TOPENDIALOGset_OPTIONS);
   AddProp('TOPENDIALOG.TITLE',TOPENDIALOGget_TITLE,TOPENDIALOGset_TITLE);
   AddFun('TSAVEDIALOG.EXECUTE',myTSAVEDIALOGEXECUTE,[2]);
   AddFun('TCOLORDIALOG.CREATE',myTCOLORDIALOGCREATE,[0]);
   AddFun('TCOLORDIALOG.EXECUTE',myTCOLORDIALOGEXECUTE,[2]);
   AddProp('TCOLORDIALOG.COLOR',TCOLORDIALOGget_COLOR,TCOLORDIALOGset_COLOR);
   AddProp('TCOLORDIALOG.CTL3D',TCOLORDIALOGget_CTL3D,TCOLORDIALOGset_CTL3D);
   AddProp('TCOLORDIALOG.CUSTOMCOLORS',TCOLORDIALOGget_CUSTOMCOLORS,TCOLORDIALOGset_CUSTOMCOLORS);
//   AddProp('TCOLORDIALOG.OPTIONS',TCOLORDIALOGget_OPTIONS,TCOLORDIALOGset_OPTIONS);
   AddFun('TFONTDIALOG.CREATE',myTFONTDIALOGCREATE,[0]);
   AddFun('TFONTDIALOG.EXECUTE',myTFONTDIALOGEXECUTE,[2]);
   AddProp('TFONTDIALOG.FONT',TFONTDIALOGget_FONT,TFONTDIALOGset_FONT);
   AddProp('TFONTDIALOG.DEVICE',TFONTDIALOGget_DEVICE,TFONTDIALOGset_DEVICE);
   AddProp('TFONTDIALOG.MINFONTSIZE',TFONTDIALOGget_MINFONTSIZE,TFONTDIALOGset_MINFONTSIZE);
   AddProp('TFONTDIALOG.MAXFONTSIZE',TFONTDIALOGget_MAXFONTSIZE,TFONTDIALOGset_MAXFONTSIZE);
//   AddProp('TFONTDIALOG.OPTIONS',TFONTDIALOGget_OPTIONS,TFONTDIALOGset_OPTIONS);
   AddProc('TPRINTERSETUPDIALOG.EXECUTE',myTPRINTERSETUPDIALOGEXECUTE,[2]);
   AddFun('TPRINTDIALOG.EXECUTE',myTPRINTDIALOGEXECUTE,[2]);
   AddProp('TPRINTDIALOG.COLLATE',TPRINTDIALOGget_COLLATE,TPRINTDIALOGset_COLLATE);
   AddProp('TPRINTDIALOG.COPIES',TPRINTDIALOGget_COPIES,TPRINTDIALOGset_COPIES);
   AddProp('TPRINTDIALOG.FROMPAGE',TPRINTDIALOGget_FROMPAGE,TPRINTDIALOGset_FROMPAGE);
   AddProp('TPRINTDIALOG.MINPAGE',TPRINTDIALOGget_MINPAGE,TPRINTDIALOGset_MINPAGE);
   AddProp('TPRINTDIALOG.MAXPAGE',TPRINTDIALOGget_MAXPAGE,TPRINTDIALOGset_MAXPAGE);
//   AddProp('TPRINTDIALOG.OPTIONS',TPRINTDIALOGget_OPTIONS,TPRINTDIALOGset_OPTIONS);
   AddProp('TPRINTDIALOG.PRINTTOFILE',TPRINTDIALOGget_PRINTTOFILE,TPRINTDIALOGset_PRINTTOFILE);
   AddProp('TPRINTDIALOG.PRINTRANGE',TPRINTDIALOGget_PRINTRANGE,TPRINTDIALOGset_PRINTRANGE);
   AddProp('TPRINTDIALOG.TOPAGE',TPRINTDIALOGget_TOPAGE,TPRINTDIALOGset_TOPAGE);
   AddFun('TFINDDIALOG.CREATE',myTFINDDIALOGCREATE,[0]);
   AddProc('TFINDDIALOG.CLOSEDIALOG',myTFINDDIALOGCLOSEDIALOG,[2]);
   AddFun('TFINDDIALOG.EXECUTE',myTFINDDIALOGEXECUTE,[2]);
   AddProp('TFINDDIALOG.HANDLE',TFINDDIALOGget_HANDLE,nil);
   AddProp('TFINDDIALOG.LEFT',TFINDDIALOGget_LEFT,TFINDDIALOGset_LEFT);
//   AddProp('TFINDDIALOG.POSITION',TFINDDIALOGget_POSITION,TFINDDIALOGset_POSITION);
   AddProp('TFINDDIALOG.TOP',TFINDDIALOGget_TOP,TFINDDIALOGset_TOP);
   AddProp('TFINDDIALOG.FINDTEXT',TFINDDIALOGget_FINDTEXT,TFINDDIALOGset_FINDTEXT);
//   AddProp('TFINDDIALOG.OPTIONS',TFINDDIALOGget_OPTIONS,TFINDDIALOGset_OPTIONS);
   AddFun('TREPLACEDIALOG.CREATE',myTREPLACEDIALOGCREATE,[0]);
   AddProp('TREPLACEDIALOG.REPLACETEXT',TREPLACEDIALOGget_REPLACETEXT,TREPLACEDIALOGset_REPLACETEXT);
   AddFun('CREATEMESSAGEDIALOG',myCREATEMESSAGEDIALOG,[0,0,3]);
   AddFun('MESSAGEDLG',myMESSAGEDLG,[0,0,3,0]);
   AddFun('MESSAGEDLGPOS',myMESSAGEDLGPOS,[0,0,3,0,0,0]);
   AddProc('SHOWMESSAGE',mySHOWMESSAGE,[0]);
   AddProc('SHOWMESSAGEPOS',mySHOWMESSAGEPOS,[0,0,0]);
   AddFun('INPUTBOX',myINPUTBOX,[0,0,0]);
   AddFun('INPUTQUERY',myINPUTQUERY,[0,0,1]);

   AddConst('mtWarning',mtWarning);
   AddConst('mtError',mtError);
   AddConst('mtInformation',mtInformation);
   AddConst('mtCustom',mtCustom);
   AddConst('mtConfirmation',mtConfirmation);
   AddConst('mbYes',mbYes);
   AddConst('mbNo',mbNo);
   AddConst('mbOK',mbOK);
   AddConst('mbCancel',mbCancel);
   AddConst('mbAbort',mbAbort);
   AddConst('mbRetry',mbRetry);
   AddConst('mbIgnore',mbIgnore);
   AddConst('mbAll',mbAll);
   AddConst('mbHelp',mbHelp);
   AddConst('fsEdit',fsEdit);
   AddConst('fsComboBox',fsComboBox);
   AddConst('clBlack',clBlack);
   AddConst('clGreen',clGreen);
   AddConst('clGray',clGray);
   AddConst('clRed',clRed);
   AddConst('clBlue',clBlue);
   AddConst('clWhite',clWhite);
   AddConst('clMaroon',clMaroon);
   AddConst('fdScreen',fdScreen);
   AddConst('fdPrinter',fdPrinter);
   AddConst('fdBoth',fdBoth);
   AddConst('prAllPages',prAllPages);
   AddConst('prSelection',prSelection);
   AddConst('prPageNums',prPageNums);

end;
{------------------------------}
initialization initdialogs;
  RegisterClasses(
  [TCOMMONDIALOG,TOPENDIALOG,TSAVEDIALOG,TCOLORDIALOG,TFONTDIALOG,
  TPRINTERSETUPDIALOG,TPRINTDIALOG,TFINDDIALOG,TREPLACEDIALOG]);

end.
